#ifndef CLICKABLELABEL_H
#define CLICKABLELABEL_H

#include <QLabel.h>
#include <QObject.h>
#include <QWidget.h>
#include <QObject>

QT_BEGIN_NAMESPACE
class QString;
class QWidget;
QT_END_NAMESPACE

class ClickableLabel : public QLabel
{
	Q_OBJECT
public:
	ClickableLabel(QWidget *parent = 0, Qt::WindowFlags f = 0);	
	ClickableLabel(const QString &text, QWidget *parent = 0, Qt::WindowFlags f = 0);

signals:
	void clicked();

protected:
	void mousePressEvent(QMouseEvent * args);
};

#endif // CLICKABLELABEL_H
